Subject: bug#42994: 27.1; json-serialize unable to serialize JSON values

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Aug 2020 15:53:28 +0300

> From: Jimmy Yuen Ho Wong <[email-masked]>
> Date: Sun, 23 Aug 2020 13:24:58 +0100
> 
> 
> According to the [JSON spec](https://www.json.org/json-en.html),
> everything is a value and every value is a valid JSON, which means
> literal string, numbers, and true, false and null are also valid JSON
> values, but `json-serialize` is unable to serialize literals. This is
> wrong and behaviorialy different from the elisp-based `json-encode`.

Thank you for your report.  To allow us to process this issue quickly
and efficiently, please provide a couple of examples where
json-serialize is unable to serialize literals.